Bug 431892 - x86-64 kernel doesnt works with more than 6 gb of ram, with mem=4G machine works fine.
x86-64 kernel doesnt works with more than 6 gb of ram, with mem=4G machine wo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 12:50 EST by Itamar Reis Peixoto
Modified: 2009-01-09 00:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2008-02-07 12:50:25 EST
Description of problem:
I have a  x2 machine (4400+), asus m2v motherboard with 6 gb of ram, I am using
fedora 8 x86-64, the kernel only boots fine with mem=4G parameter any value
lower than 4GB works.

I have tested with all 64 bits kernels (from fc6 to fc9) including pxe images
and only works with mem=4G or less 

Version-Release number of selected component (if applicable):

kernel-2.6.23.14-135.fc8
Comment 1 Itamar Reis Peixoto 2008-02-07 12:54:16 EST
I have see some messages on screen about

vmalloc.c:105 vmap_pte_range

Comment 2 Chuck Ebbert 2008-02-07 19:10:57 EST
(In reply to comment #0)
> Description of problem:
> I have a  x2 machine (4400+), asus m2v motherboard with 6 gb of ram, I am using
> fedora 8 x86-64, the kernel only boots fine with mem=4G parameter any value
> lower than 4GB works.
> 

What does that mean exactly?

a) Doesn't boot at all with >4GB of memory.
b) Boots but runs very slowly.
Comment 3 Itamar Reis Peixoto 2008-02-07 20:43:42 EST
a) yes, only boot with mem=4G, with mem=5G or 6G or without mem kernel crash

b) with mem=4G or less boot and works fast, with 5 or 6G doesn't boot.

Comment 4 Chuck Ebbert 2008-02-08 10:32:13 EST
(In reply to comment #3)
> a) yes, only boot with mem=4G, with mem=5G or 6G or without mem kernel crash
> 
> b) with mem=4G or less boot and works fast, with 5 or 6G doesn't boot.
> 
> 

Can we get a copy of the crash messages?
Comment 5 Itamar Reis Peixoto 2008-02-13 14:47:37 EST
I have removed 2 gigs of memory from this machine and now is working fine.

I don't have a serial cable to get the complete crash message.

you can close this ticket.
Comment 6 Bug Zapper 2008-11-26 04:44:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:56:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.